additionalProperties:
    formFields:
        - default: 18083
          edit: true
          envKey: PANEL_APP_PORT_HTTP
          labelEn: Dashboard Port
          labelZh: Dashboard 控制台端口
          label:
            en: Dashboard Port
            ja: ダッシュボード ポート
            ms: Port Papan Pemuka
            pt-br: Porta do Painel
            ru: Порт панели управления
            ko: 대시보드 포트
            zh: Dashboard 控制台端口
            zh-Hant: Dashboard 控制台埠
          required: true
          rule: paramPort
          type: number
        - default: 1883
          edit: true
          envKey: EMQX_PORT_1883
          labelEn: MQTT Port
          labelZh: MQTT 协议端口
          label:
            en: MQTT Port
            ja: MQTT ポート
            ms: Port MQTT
            pt-br: Porta MQTT
            ru: Порт MQTT
            ko: MQTT 포트
            zh: MQTT 协议端口
            zh-Hant: MQTT 協議埠
          required: true
          rule: paramPort
          type: number
        - default: 8083
          edit: true
          envKey: EMQX_PORT_8083
          labelEn: WebSocket Port
          labelZh: WebSocket 端口
          label:
            en: WebSocket Port
            ja: WebSocket ポート
            ms: Port WebSocket
            pt-br: Porta WebSocket
            ru: Порт WebSocket
            ko: WebSocket 포트
            zh: WebSocket 端口
            zh-Hant: WebSocket 埠
          required: true
          rule: paramPort
          type: number
        - default: 8084
          edit: true
          envKey: EMQX_PORT_8084
          labelEn: WebSocket SSL Port
          labelZh: WebSocket SSL 端口
          label:
            en: WebSocket SSL Port
            ja: WebSocket SSL ポート
            ms: Port WebSocket SSL
            pt-br: Porta WebSocket SSL
            ru: Порт WebSocket SSL
            ko: WebSocket SSL 포트
            zh: WebSocket SSL 端口
            zh-Hant: WebSocket SSL 埠
          required: true
          rule: paramPort
          type: number
        - default: 8883
          edit: true
          envKey: EMQX_PORT_8883
          labelEn: MQTT SSL Port
          labelZh: MQTT SSL 端口
          label:
            en: MQTT SSL Port
            ja: MQTT SSL ポート
            ms: Port MQTT SSL
            pt-br: Porta MQTT SSL
            ru: Порт MQTT SSL
            ko: MQTT SSL 포트
            zh: MQTT SSL 端口
            zh-Hant: MQTT SSL 埠
          required: true
          rule: paramPort
          type: number
        - default: emqx
          envKey: EMQX_Dashboard_Password
          labelEn: Dashboard Password
          labelZh: Dashboard 密码
          label:
            en: Dashboard Password
            ja: ダッシュボードのパスワード
            ms: Kata Laluan Papan Pemuka
            pt-br: Senha do Painel
            ru: Пароль панели управления
            ko: 대시보드 비밀번호
            zh-Hant: Dashboard 密碼
            zh: Dashboard 密码
          random: true
          required: true
          rule: paramComplexity
          type: password
        - default: EMQX_Cookie
          envKey: EMQX_Cookie
          labelEn: EMQX Cookie
          labelZh: EMQX Cookie
          label:
            en: EMQX Cookie
            ja: EMQX Cookie
            ms: EMQX Cookie
            pt-br: EMQX Cookie
            ru: EMQX Cookie
            ko: EMQX Cookie
            zh-Hant: EMQX Cookie
            zh: EMQX Cookie
          random: true
          required: true
          rule: paramCommon
          type: password
        - default: "both"
          envKey: EMQX_LOG_TO
          labelEn: Log To
          labelZh: 日志输出目标
          label:
            en: Log To
            ja: ログ出力先
            ms: Log Kepada
            pt-br: Enviar Log Para
            ru: Вывод журнала
            ko: 로그 출력 대상
            zh-Hant: 日誌輸出目標
            zh: 日志输出目标
          required: true
          type: select
          values:
            - label: Console
              value: console
            - label: File
              value: file
            - label: Both
              value: both
        - default: Asia/Shanghai
          edit: true
          envKey: TIME_ZONE
          labelEn: Time zone
          labelZh: 时区
          label:
            en: Time zone
            ja: タイムゾーン
            ms: Zon masa
            pt-br: Fuso horário
            ru: Часовой пояс
            ko: 시간대
            zh: 时区
            zh-Hant: 時區
          required: true
          type: text